r.topidx(1)

NAME
r.topidx - Creates a topographic index (wetness index) raster map from an elevation raster map.

KEYWORDS
raster, hydrology, wetness, topographic index

SYNOPSIS
r.topidx
r.topidx --help
r.topidx input=name output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input elevation raster map

output=name [required]
    Name for output topographic index raster map

DESCRIPTION
r.topidx creates topographic index (wetness index), ln(a/tan(beta)), map from elevation map where

    •   a: the area of the hillslope per unit contour length that drains through any point,

    •   tan(beta): the local surface topographic slope (delta vertical) / (delta horizontal).

Input maps may have NULL values. For example, if you have a raster mask set for a watershed (using basin map from r.water.outlet), the following command will create a masked elevation map (belev):

r.mapcalc "belev = if(isnull(basin), basin, elev)"

r.stats -Anc prints out averaged statistics for topographic index.

Lat/long projects are not supported. If data is not projected, please create a new project with a projected coordinate reference system and reproject the data there. Please run r.topidx from that project.

EXAMPLE
Running the command below will generate the topographic index map shown in the figure:

g.region raster=elevation -p
r.topidx input=elevation output=topidx_elevation

Figure: topographic index map derived from elevation map

REFERENCES
Cho, H., 2000. GIS Hydrological Modeling System by Using Programming Interface of GRASS. Master’s Thesis, Department of Civil Engineering, Kyungpook National University, Korea.

Moore, I.D., R.B. Grayson, and A.R. Ladson, 1991. Digital Terrain Modeling: A Review of Hydrological, Geomorphological, and Biological Applications. Hydrological Processes 5:3-30.

SEE ALSO
r.topmodel, r.water.outlet, r.mapcalc
Known issues

AUTHORS
Huidae Cho
Hydro Laboratory, Kyungpook National University, South Korea

Based on GRIDATB.FOR by Keith Beven.

SOURCE CODE

Available at: r.topidx source code (history)

Latest change: Tuesday Dec 17 20:17:20 2024 in commit: d962e90c026708a4815ea2b9f46c0e84c17de22d

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.1 Reference Manual